Module jdk.xml.dom
Package org.w3c.dom.html

# Interface HTMLStyleElement

All Superinterfaces:
  `Element`, `HTMLElement`, `Node`

public interface HTMLStyleElement extends HTMLElement
Style information. See the STYLE element definition in HTML 4.0, the module and the `LinkStyle` interface in the module.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

- ## Field Summary

  ### Fields declared in interface org.w3c.dom.Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getDisabled()`
  Enables/disables the style sheet.
  `String`
  `getMedia()`
  Designed for use with one or more target media.
  `String`
  `getType()`
  The content type pf the style sheet language.
  `void`
  `setDisabled(boolean disabled)`
  `void`
  `setMedia(String media)`
  `void`
  `setType(String type)`

  ### Methods declared in interface org.w3c.dom.Element

  `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

  ### Methods declared in interface org.w3c.dom.html.HTMLElement

  `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

  ### Methods declared in interface org.w3c.dom.Node

  `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- ## Method Details

  - ### getDisabled

    boolean getDisabled()
    Enables/disables the style sheet.

  - ### setDisabled

    void setDisabled(boolean disabled)

  - ### getMedia

    String getMedia()
    Designed for use with one or more target media. See the media attribute definition in HTML 4.0.

  - ### setMedia

    void setMedia(String media)

  - ### getType

    String getType()
    The content type pf the style sheet language. See the type attribute definition in HTML 4.0.

  - ### setType

    void setType(String type)